public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Jeffrey C. Ollie <jcollie@fedoraproject.org>
To: git-commits@fedoraproject.org
Subject: [rpms/ejabberd] f45: Updated init script.
Date: Wed, 23 Sep 2026 19:06:30 GMT [thread overview]
Message-ID: <179019039000.1.12101008670874305043.rpms-ejabberd-00d1e82b3ba9@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : rpms/ejabberd
Branch : f45
Commit : 00d1e82b3ba9b8d9b5c5ba36bf22a23c7b6bfe21
Author : Jeffrey C. Ollie <jcollie@fedoraproject.org>
Date : 2006-07-03T14:59:29+00:00
Stats : +8/-3 in 2 file(s)
URL : https://src.fedoraproject.org/rpms/ejabberd/c/00d1e82b3ba9b8d9b5c5ba36bf22a23c7b6bfe21?branch=f45
Log:
Updated init script.
---
diff --git a/ejabberd.init b/ejabberd.init
index 6384a6d..d07c0ab 100644
--- a/ejabberd.init
+++ b/ejabberd.init
@@ -9,6 +9,8 @@
. /etc/rc.d/init.d/functions
+node=`hostname | cut -d. -f1`
+
start() {
echo -n $"Starting ejabberd: "
daemon --user=ejabberd --check=ejabberd \
@@ -30,7 +32,7 @@ start() {
stop() {
# Stop daemons.
echo -n "Shutting down ejabberd: "
- runuser -s /bin/bash - ejabberd -c "erl -pa @libdir@/ejabberd-@version@/ebin -noinput -sname ejabberdctl -s ejabberd_ctl -extra ejabberd@`hostname -s` stop" && success || failure
+ runuser -s /bin/bash - ejabberd -c "erl -pa @libdir@/ejabberd-@version@/ebin -noinput -sname ejabberdctl -s ejabberd_ctl -extra ejabberd@$node stop" && success || failure
RETVAL=$?
[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/ejabberd
echo
@@ -57,7 +59,7 @@ case "$1" in
[ -f /var/lock/subsys/ejabberd ] && restart || :
;;
status)
- runuser -s /bin/bash - ejabberd -c "erl -pa @libdir@/ejabberd-@version@/ebin -noinput -sname ejabberdctl -s ejabberd_ctl -extra ejabberd@`hostname -s` status"
+ runuser -s /bin/bash - ejabberd -c "erl -pa @libdir@/ejabberd-@version@/ebin -noinput -sname ejabberdctl -s ejabberd_ctl -extra ejabberd@$node status"
;;
*)
echo "Usage: ejabberd {start|stop|restart|reload|condrestart|status}"
diff --git a/ejabberd.spec b/ejabberd.spec
index 86481dd..2f81ba6 100644
--- a/ejabberd.spec
+++ b/ejabberd.spec
@@ -1,6 +1,6 @@
Name: ejabberd
Version: 1.1.1
-Release: 8%{?dist}
+Release: 9%{?dist}
Summary: A distributed, fault-tolerant Jabber/XMPP server
Group: Applications/Internet
@@ -150,6 +150,9 @@ rm -rf %{buildroot}
%doc ChangeLog COPYING TODO doc/*.pdf doc/*.html doc/*.png doc/release_notes_*
%changelog
+* Mon Jul 3 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.1.1-9
+- Updated init script - should hopefully fix some problems with status & stop commands.
+
* Mon Jun 26 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.1.1-8
- Bump release to that tagging works on FC-5.
reply other threads:[~2026-09-23 19:06 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=179019039000.1.12101008670874305043.rpms-ejabberd-00d1e82b3ba9@fedoraproject.org \
--to=jcollie@fedoraproject.org \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox